
Summary:       Pro-audio reverb for JACK
Name:          zita-rev1
Version:       0.2.1
Release:       4%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# desktop file submitted upstream
Source1:       zita-rev1.desktop

# this has been submitted upstream
Patch0:        zita-rev1-0.2.1-fsf-address.patch

BuildRequires: cairo-devel
BuildRequires: libpng-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libXft-devel
BuildRequires: clthreads-devel
BuildRequires: clxclient-devel
BuildRequires: desktop-file-utils

%description
%{name} is a reworked version of the reverb originally developed for Aeolus. 
Its character is more 'hall' than 'plate', but it can be used on a wide 
variety of instruments or voices. 
It is not a spatialiser - the early reflections are different for the L and R 
inputs, but do not correspond to any real room. They have been tuned to match 
left and right sources to some extent.

In Stereo mode a dry/wet mix control is provided, so it can be used either as
an insert or in send/return mode. For mono just connect one of the two 
channels.

In Ambisonic mode (selected by the -B command line option) the only option is 
the send/return mode. 

%prep
%setup -q
%patch0 -p1

# use Fedora build flags
sed -e 's|-march=native|%{optflags}|' -i source/Makefile 

%build
cd source
make PREFIX=%{_prefix} %{?_smp_mflags}

%install
cd source
make DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_lib} install

# .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install  \
   --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{_builddir}/%{name}-%{version}/doc/redzita.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files
%doc AUTHORS COPYING doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Fri Nov 11 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.1-4
- add desktop file and icon

* Sat Nov 05 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.1-3
- remove unnecessary BuildRoot tag

* Fri Nov 04 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.1-2
- remove file permissions

* Wed Oct 26 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.1-1
- initial build

